Bug 52478 - Draw: Zoom slider’s upper limit is excessive for such a tiny control
Summary: Draw: Zoom slider’s upper limit is excessive for such a tiny control
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 77825 (view as bug list)
Depends on:
Blocks: Statusbar Draw-UX
  Show dependency treegraph
 
Reported: 2012-07-25 11:32 UTC by GeeKen
Modified: 2018-06-24 02:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Zoom example with 120% sized document (2.64 KB, image/jpeg)
2016-10-13 07:40 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GeeKen 2012-07-25 11:32:19 UTC
Problem description: 

As long as I remember in Open Office and in LibreOffice, when using DRAW, the Zoom slider at the bottom right of the screen can be used as an Input to control Zoom.

However its scaling ("Gain") goes insanely large after 100%, making it unusable.

Steps to reproduce:
1. .... Just use the Zoom Slider to Control Zoom!!
2. ....
3. ....

Current behavior: 

1) Gain of Zoom Slider is non-linear and far too high, after 100% Zoom.

2) Slider is too short to be easily used.

Expected behavior:

1) Gain of Zoom Slider is usable & linear, like a mouse does to the pointer on the screen of any Operating System.

2) The Zoom slider is made 3+ times longer than it is, with a more bold 
"% Zoom number", so this can be used for fine and stable control of Zoom.

Even if it is stepped to 10% Zoom intervals, thats AOK.

Thanks
Platform (if different from the browser): This historical Bug is Operating System independent.
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 daniel.schaaaf 2012-08-16 23:07:19 UTC
I can confirm this bug in version 3.5.6.2. The zoom factor seems to increase exponentially. On the lower end, we have 2 cm (on my screen) to zoom from 8 to 100 %. after that, 1 mm increases zoom from 100 to 400 %!
Unfortunately the plus and minus buttons are useless as well, because they change the zoom factor by only 5 % points with each click. Zooming from 100 to 200 % is impossible. The maximum of 3000 % is also rather extreme.
Comment 2 Mike 2012-09-18 15:30:22 UTC
I agree with this bug report.  It is a major usability defect.  It is the one factor that makes me think twice about using OO for drawings.  No other drawing tools have this level of problem with the zoom control.
Comment 3 QA Administrators 2015-10-14 19:56:12 UTC Comment hidden (obsolete)
Comment 4 Adolfo Jayme 2015-10-15 20:47:45 UTC
This bug can still be reproduced in 5.x.
Comment 5 Henrik Mantke 2016-02-01 17:26:33 UTC
I am working on this bug. 

The problem is not an exponential. The zoom changes linear with the slider position in two parts. The first part goes from 1% to 100% and occupies the first half of the slider. The second part that occupies the second half of the slider goes from 100% to max zoom. For draw and impress this means 100% to 3000%. Therefore this part has a very high constant slope. In combination with the snapping point, that turns the zoom to 100% again, if you move the slider very little it is impossible to reach zooms between 100% and 200% with the slider.
Comment 6 tommy27 2016-10-13 05:11:39 UTC
@Henrik
any progress about it?
Comment 7 tommy27 2016-10-13 05:13:54 UTC
*** Bug 77825 has been marked as a duplicate of this bug. ***
Comment 8 Timur 2016-10-13 07:40:30 UTC
Created attachment 127984 [details]
Zoom example with 120% sized document

I don't know if that's the same or related but: 
If we open 120% sized document, it's not at all obvious how to size it back to 100%. In this case, it's almost clicking in the same line, which is not well seen.
This 100% zoom bar should be more visible, thicker and higher, if possible.
Comment 9 QA Administrators 2018-06-24 02:40:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug